pcl::HDLGrabber::HDLFiringData Struct Reference

`#include <pcl/io/hdl_grabber.h>`

## Public Attributes

std::uint16_t | blockIdentifier
std::uint16_t | rotationalPosition
HDLLaserReturn | laserReturns [HDL_LASER_PER_FIRING]

## Detailed Description

Definition at line 222 of file hdl_grabber.h.

## Member Data Documentation

## blockIdentifier

std::uint16_t pcl::HDLGrabber::HDLFiringData::blockIdentifier

Definition at line 224 of file hdl_grabber.h.

## laserReturns

HDLLaserReturn pcl::HDLGrabber::HDLFiringData::laserReturns[HDL_LASER_PER_FIRING]

Definition at line 226 of file hdl_grabber.h.

## rotationalPosition

std::uint16_t pcl::HDLGrabber::HDLFiringData::rotationalPosition

Definition at line 225 of file hdl_grabber.h.

The documentation for this struct was generated from the following file:

- pcl/io/hdl_grabber.h